PHP Manual
Prev |  | Next

# PDOStatement->setFetchMode()

(no version information, might be only in CVS)

PDOStatement->setFetchMode() -- Set the default fetch mode for this statement

## Description

class PDOStatement {
bool setFetchMode ( int mode )
}class PDOStatement {
bool setFetchMode ( int PDO::FETCH_COLUMN, int colno )
}class PDOStatement {
bool setFetchMode ( int PDO::FETCH_CLASS, string classname, array ctorargs )
}class PDOStatement {
bool setFetchMode ( int PDO::FETCH_INTO, object object )
}

## Parameters

`mode`

  The fetch mode must be one of the `PDO::FETCH_*` constants.

## Return Values

Returns `1` on success or `FALSE` on failure.

## Examples

Example 1. Setting the fetch mode

The following example demonstrates how PDOStatement->setFetchMode() changes the default fetch mode for a PDOStatement object.

`<?php $sql = 'SELECT name, colour, calories FROM fruit'; try { $stmt = $dbh->query($sql); $result = $stmt->setFetchMode(PDO::FETCH_NUM); while ($row = $stmt->fetch()) { print $row[0] . "\t" . $row[1] . "\t" . $row[2] . "\n"; } } catch (PDOException $e) { print $e->getMessage(); } ?>`

The above example will output:

    apple   red     150
    banana  yellow  250
    orange  orange  300
    kiwi    brown   75
    lemon   yellow  25
    pear    green   150
    watermelon      pink    90

Prev | Home | Next
PDOStatement->setAttribute() | Up | Phar archive stream and classes